Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3458 - hwclock --adjust (ie. boot) hangs
Summary: hwclock --adjust (ie. boot) hangs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 16:35 UTC by jes.sorensen
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-14 16:58:26 UTC


Attachments (Terms of Use)

Description jes.sorensen 1999-06-14 16:35:35 UTC
If one by accident gets the system clock set to some time
far out in the future, boots the system (thus having
/sbin/hwclock --adjust run by /etc/rc.d/rc.sysinit), then
reboots and sets the clock back using the BIOS. After this
the system will hang at boot time when hwclock --adjust
tries to wait several years to catch up on the time.

Comment 1 Jeff Johnson 1999-06-14 16:58:59 UTC
And you expect the software to do what? :-)

------- Additional Comments From   06/14/99 13:07 -------
I expect it to detect that it is about to wait for ages and let the
user know, ideally it should print a warning message if it believes it
is about to wait for more than say 1 minute.

I can solve this kind of problem myself, but to be frank, I doubt that
the average user will be able to figure out what is wrong and fix it.
I am sure your support people will love trying to figure out the
problem if they get a customer calling on this one.


Note You need to log in before you can comment on or make changes to this bug.